## tracker-utils

tracker-utils

## Synopsis

    gboolean            tracker_is_empty_string             (const char *str);
    gboolean            tracker_is_blank_string             (const char *str);
    gchar *             tracker_string_replace              (const gchar *haystack,
                                                             const gchar *needle,
                                                             const gchar *replacement);
    gchar *             tracker_string_remove               (gchar *haystack,
                                                             const gchar *needle);
    gchar *             tracker_seconds_estimate_to_string  (gdouble seconds_elapsed,
                                                             gboolean short_string,
                                                             guint items_done,
                                                             guint items_remaining);
    gchar *             tracker_seconds_to_string           (gdouble seconds_elapsed,
                                                             gboolean short_string);
    gchar*              tracker_uri_vprintf_escaped         (const gchar *format,
                                                             va_list args);
    gchar*              tracker_uri_printf_escaped          (const gchar *format,
                                                             ...);

## Description

## Details

### tracker_is_empty_string ()

    gboolean            tracker_is_empty_string             (const char *str);

`str` : |
Returns : |

### tracker_is_blank_string ()

    gboolean            tracker_is_blank_string             (const char *str);

`str` : |
Returns : |

### tracker_string_replace ()

    gchar *             tracker_string_replace              (const gchar *haystack,
                                                             const gchar *needle,
                                                             const gchar *replacement);

`haystack` : |
`needle` : |
`replacement` : |
Returns : |

### tracker_string_remove ()

    gchar *             tracker_string_remove               (gchar *haystack,
                                                             const gchar *needle);

`haystack` : |
`needle` : |
Returns : |

### tracker_seconds_estimate_to_string ()

    gchar *             tracker_seconds_estimate_to_string  (gdouble seconds_elapsed,
                                                             gboolean short_string,
                                                             guint items_done,
                                                             guint items_remaining);

`seconds_elapsed` : |
`short_string` : |
`items_done` : |
`items_remaining` : |
Returns : |

### tracker_seconds_to_string ()

    gchar *             tracker_seconds_to_string           (gdouble seconds_elapsed,
                                                             gboolean short_string);

`seconds_elapsed` : |
`short_string` : |
Returns : |

### tracker_uri_vprintf_escaped ()

    gchar*              tracker_uri_vprintf_escaped         (const gchar *format,
                                                             va_list args);

`format` : |
`args` : |
Returns : |

### tracker_uri_printf_escaped ()

    gchar*              tracker_uri_printf_escaped          (const gchar *format,
                                                             ...);

`format` : |
`...` : |
Returns : |